> ## Documentation Index
> Fetch the complete documentation index at: https://novita.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Expand Instance Rootfs



## OpenAPI

````yaml api-reference/gpus-v2-spec/expand-rootfs.json PUT /gpus/v2/instances/{instance_id}/rootfs-expand
openapi: 3.0.0
info:
  title: Novita GPU API v2
  version: 2.0.0
servers:
  - url: https://api.novita.ai
security: []
paths:
  /gpus/v2/instances/{instance_id}/rootfs-expand:
    put:
      summary: Expand Instance Rootfs
      parameters:
        - name: Content-Type
          in: header
          required: true
          schema:
            type: string
          description: 'Allowed value: application/json.'
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
          description: 'Bearer authentication format, e.g.: `Bearer {{API_KEY}}`.'
        - name: instance_id
          in: path
          required: true
          schema:
            type: string
          description: 'Instance ID. String, length: 1-255 characters.'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - rootfs_size_expand_gb
              properties:
                rootfs_size_expand_gb:
                  type: integer
                  description: >-
                    Increment to add to the root disk. Not the target size.
                    Integer, value > 0. Unit: GB.
                  example: 20
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object

````